## org.eclipse.datatools.connectivity
Interface IConfigurationType

public interface IConfigurationType

This interface is used for accessing functionality specific to configuration types.

Author:
  rcernich Created on Jan 15, 2004

Method Summary
`boolean` `equals(java.lang.Object obj)` Deprecated.
`java.lang.String` `getId()` Deprecated.
`java.lang.String` `getName()` Deprecated.
`int` `hashCode()` Deprecated.

Method Detail

### getId

    public java.lang.String getId()

  Deprecated.
  Returns:
    the id of this configuration type

### getName

    public java.lang.String getName()

  Deprecated.
  Returns:
    the name of this configuration type

### equals

    public boolean equals(java.lang.Object obj)

  Deprecated.
  Parameters:
    `obj` -
  Returns:
    getId().equals(obj.getId())

### hashCode

    public int hashCode()

  Deprecated.
  Returns:
    getId().hashCode()

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.